commit:     64f5fc144c50effd9566ed1869d5d6150cd54999
Author:     Jonathan Scruggs <j.scruggs <AT> gmail <DOT> com>
AuthorDate: Thu Feb  1 15:08:34 2018 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Feb  2 11:40:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64f5fc14

dev-libs/sink: add 0.5.0 release

 dev-libs/sink/Manifest          |  1 +
 dev-libs/sink/sink-0.5.0.ebuild | 49 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-libs/sink/Manifest b/dev-libs/sink/Manifest
index 0c74343db17..cd84e69921e 100644
--- a/dev-libs/sink/Manifest
+++ b/dev-libs/sink/Manifest
@@ -1 +1,2 @@
 DIST sink-0.3.0.tar.xz 215636 BLAKE2B 
2e63ca47deec9aec97e146c48dce4530d5599e2efaf883e35e950a114cde77501830b0670fce4be75b6282d9b71323b3d18a8ec859c68213abbd3811d9599ecb
 SHA512 
066050339603b80efd7edb8b903d675f0434a7147cb7ad0fd810c82c29184f39762948bc75c45ea98e0ee4c455fcaeaa326ace95908745d51ad58bead5d70e1a
+DIST sink-0.5.0.tar.gz 330203 BLAKE2B 
5b0448dfb984c1aa4bdb913f8ce5e5e4e3f1a6ee33d840ed3d9fdf9e0ea6003a928970d2e6dc25e824241768da9abed7dce31ef857e4986990aad16e7aecd667
 SHA512 
e47f3d99b934abb184a5f8293f1a092fccabe0bb550573cd8c35918471a4caa94eaaec0361c43376c93cdb480612dd0f78626d6649077f777c5cccc8c5d4389f

diff --git a/dev-libs/sink/sink-0.5.0.ebuild b/dev-libs/sink/sink-0.5.0.ebuild
new file mode 100644
index 00000000000..06692c9740c
--- /dev/null
+++ b/dev-libs/sink/sink-0.5.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_TEST="true" # build breaks otherwise. tests not isolated.
+inherit kde5
+
+DESCRIPTION="A data access layer handling synchronization, caching and 
indexing"
+SRC_URI="https://github.com/KDE/sink/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64"
+IUSE=""
+
+# qtgui is bogus but is required because something else in the deptree
+# uses it as a public dependency but doesn't search for it properly
+RDEPEND="
+       $(add_frameworks_dep kcoreaddons)
+       $(add_kdeapps_dep kcontacts)
+       $(add_kdeapps_dep kmime)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       dev-db/lmdb:=
+       dev-libs/flatbuffers
+       dev-libs/kasync
+       net-libs/kdav2
+       net-libs/kimap2
+       net-misc/curl
+       sys-libs/readline:0=
+"
+DEPEND="${RDEPEND}"
+
+# fails to build
+RESTRICT+=" test"
+
+src_prepare() {
+       kde5_src_prepare
+       # FIXME: sink is useless without its 'examples'. Workaround our eclass
+       sed -i -e "/add_subdirectory(examples)/ s/#DONOTCOMPILE //" \
+               CMakeLists.txt || die "Failed to fix CMakeLists.txt"
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_DISABLE_FIND_PACKAGE_Libgit2=ON
+       )
+       kde5_src_configure
+}

Reply via email to